Bug 246072 - kdesdk: update = kdelibs/kdesdk conflicts
kdesdk: update = kdelibs/kdesdk conflicts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 07:15 EDT by Reindl Harald
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.5.7-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 11:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2007-06-28 07:15:37 EDT
Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 arts                    i386       8:1.5.7-1.fc7    updates           1.1 M
 arts-devel              i386       8:1.5.7-1.fc7    updates           215 k
 kde-i18n-German         noarch     1:3.5.7-1.fc7    updates            20 M
 kde-settings            noarch     3.5-29.fc7       updates            13 k
 kde-settings-kdm        noarch     3.5-29.fc7       updates            16 k
 kdeaccessibility        i386       1:3.5.7-1.fc7    updates           8.8 M
 kdeaddons               i386       3.5.7-1.fc7      updates           2.6 M
 kdeadmin                i386       7:3.5.7-1.fc7.1  updates           2.0 M
 kdeartwork              i386       3.5.7-1.fc7      updates           5.9 M
 kdebase                 i386       6:3.5.7-0.1.fc7  updates            28 M
 kdebase-devel           i386       6:3.5.7-0.1.fc7  updates           120 k
 kdebase-extras          i386       6:3.5.7-0.1.fc7  updates           875 k
 kdebindings             i386       3.5.7-1.fc7.1    updates           5.7 M
 kdegames                i386       6:3.5.7-1.fc7    updates            11 M
 kdegraphics             i386       7:3.5.7-1.fc7    updates           7.2 M
 kdegraphics-extras      i386       7:3.5.7-1.fc7    updates           2.4 M
 kdelibs                 i386       6:3.5.7-0.1.fc7  updates            18 M
 kdelibs-devel           i386       6:3.5.7-0.1.fc7  updates           1.3 M
 kdemultimedia           i386       6:3.5.7-0.1.fc7  updates           4.9 M
 kdemultimedia-extras    i386       6:3.5.7-0.1.fc7  updates           3.4 M
 kdenetwork              i386       7:3.5.7-1.fc7.1  updates            11 M
 kdenetwork-extras       i386       7:3.5.7-1.fc7.1  updates           1.4 M
 kdesdk                  i386       3.5.7-1.fc7      updates           6.7 M
 kdeutils                i386       6:3.5.7-1.fc7.1  updates           2.9 M
 kdeutils-devel          i386       6:3.5.7-1.fc7.1  updates            29 k
 kdeutils-extras         i386       6:3.5.7-1.fc7.1  updates           950 k
 kdevelop                i386       9:3.4.1-1.fc7    updates            16 M
 kdewebdev               i386       6:3.5.7-1.fc7    updates           9.4 M
 libdaemon               i386       0.11-1.fc7       updates            25 k
 redhat-artwork          i386       7.0.0-11.fc7     updates           6.1 M
 redhat-artwork-kde      i386       7.0.0-11.fc7     updates           559 k
 system-config-samba     noarch     1.2.42-1.fc7     updates           273 k
 yum                     noarch     3.2.1-1.fc7      updates           544 k
 yum-updatesd            noarch     3.2.1-1.fc7      updates            22 k
Installing for dependencies:
 gnome-themes            noarch     2.18.0-1.fc7     fedora            2.5 M
 kdebindings-dcopperl    i386       3.5.7-1.fc7.1    updates            43 k
 kdelibs-apidocs         i386       6:3.5.7-0.1.fc7  updates            36 M
 qt-devel-docs           i386       1:3.3.8-4.fc7    fedora            3.0 M

Transaction Summary
=============================================================================
Install      4 Package(s)
Update      34 Package(s)
Remove       0 Package(s)

Total download size: 223 M
Is this ok [y/N]: y
Downloading Packages:
(1/38): kdebase-3.5.7-0.1 100% |=========================|  28 MB    00:55
(2/38): kde-i18n-German-3 100% |=========================|  20 MB    00:38
(3/38): libdaemon-0.11-1. 100% |=========================|  25 kB    00:00
(4/38): kdegraphics-extra 100% |=========================| 2.4 MB    00:04
(5/38): kdemultimedia-3.5 100% |=========================| 4.9 MB    00:09
(6/38): kdebase-devel-3.5 100% |=========================| 120 kB    00:00
(7/38): kdegraphics-3.5.7 100% |=========================| 7.2 MB    00:16
(8/38): kdenetwork-extras 100% |=========================| 1.4 MB    00:03
(9/38): arts-1.5.7-1.fc7. 100% |=========================| 1.1 MB    00:02
(10/38): kdelibs-devel-3. 100% |=========================| 1.3 MB    00:04
(11/38): kdewebdev-3.5.7- 100% |=========================| 9.4 MB    00:16
(12/38): kdemultimedia-ex 100% |=========================| 3.4 MB    00:06
(13/38): redhat-artwork-k 100% |=========================| 559 kB    00:01
(14/38): kdebase-extras-3 100% |=========================| 875 kB    00:01
(15/38): qt-devel-docs-3. 100% |=========================| 3.0 MB    00:02
(16/38): kdelibs-3.5.7-0. 100% |=========================|  18 MB    00:30
(17/38): yum-3.2.1-1.fc7. 100% |=========================| 544 kB    00:01
(18/38): kdeutils-devel-3 100% |=========================|  29 kB    00:00
(19/38): yum-updatesd-3.2 100% |=========================|  22 kB    00:00
(20/38): kdegames-3.5.7-1 100% |=========================|  11 MB    00:25
(21/38): kdenetwork-3.5.7 100% |=========================|  11 MB    00:26
(22/38): kdeaccessibility 100% |=========================| 8.8 MB    00:21
(23/38): kdebindings-3.5. 100% |=========================| 5.7 MB    00:13
(24/38): kdeartwork-3.5.7 100% |=========================| 5.9 MB    00:12
(25/38): kdeutils-extras- 100% |=========================| 950 kB    00:01
(26/38): kdesdk-3.5.7-1.f 100% |=========================| 6.7 MB    00:14
(27/38): kdeadmin-3.5.7-1 100% |=========================| 2.0 MB    00:03
(28/38): kdeaddons-3.5.7- 100% |=========================| 2.6 MB    00:05
(29/38): kde-settings-kdm 100% |=========================|  16 kB    00:00
(30/38): kdeutils-3.5.7-1 100% |=========================| 2.9 MB    00:07
(31/38): kde-settings-3.5 100% |=========================|  13 kB    00:00
(32/38): kdelibs-apidocs- 100% |=========================|  36 MB    01:10
(33/38): system-config-sa 100% |=========================| 273 kB    00:00
(34/38): arts-devel-1.5.7 100% |=========================| 215 kB    00:00
(35/38): redhat-artwork-7 100% |=========================| 6.1 MB    00:13
(36/38): kdebindings-dcop 100% |=========================|  43 kB    00:00
(37/38): gnome-themes-2.1 100% |=========================| 2.5 MB    00:05
(38/38): kdevelop-3.4.1-1 100% |=========================|  16 MB    00:18
Running Transaction Test
error: failed to stat /mnt/srv-rhsoft: Permission denied
Finished Transaction Test


Transaction Check Error:
  file /usr/share/doc/HTML/en/common/1.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/10.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/2.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/3.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/4.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/5.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/6.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/7.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
  file /usr/share/doc/HTML/en/common/8.png conflicts between attempted installs
of kdelibs-3.5.7-0.1.fc7 and kdesdk-3.5.7-1.fc7
Comment 1 Rex Dieter 2007-06-28 07:20:45 EDT
What versions of kdelibs,kdesdk are you upgrading from?

Regardless, quick-n-dirty solution:
# yum remove kdesdk
# yum update
# yum install kdesdk
Comment 2 Reindl Harald 2007-06-28 07:26:23 EDT
Wow - Wonderful reaction-time, i try it and report...

This are my installed packages
I use kde-redhat and kde-redhat-all because 
i like your additional packages much :-)

[harry@nb downloads]$ rpm -qa | grep kdelib
kdelibs-devel-3.5.6-9.fc7
kdelibs-3.5.6-9.fc7
[harry@nb downloads]$ rpm -qa | grep kdesdk
kdesdk-3.5.6-1.fc7
[harry@nb downloads]$  
Comment 3 Rex Dieter 2007-06-28 07:30:21 EDT
OK, more an incompatibility between kde-redhat and fedora's packaging, not
really a fedora bug.

Let's keep this open tho, I think I've got a fix... 
Comment 4 Reindl Harald 2007-06-28 07:51:22 EDT
Your workaround does it perfectly, 
but for "normal-users" this should not happen :-)

On my Testing-Machine (updates-testing, kde-redhat-testing,
kde-redhat-all-testing) there were no troubles and both systems are nearly clones.

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kdewebdev               i386       6:3.5.7-1.fc7    updates           9.4 M
Installing for dependencies:
 kdebindings-dcopperl    i386       3.5.7-1.fc7.1    updates            43 k
 kdesdk                  i386       3.5.7-1.fc7      updates           6.7 M

Transaction Summary
=============================================================================
Install      3 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 16 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
error: failed to stat /mnt/srv-rhsoft: Permission denied
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
error: failed to stat /mnt/srv-rhsoft: Permission denied
  Installing: kdebindings-dcopperl         ######################### [1/3]
  Installing: kdesdk                       ######################### [2/3]
  Installing: kdewebdev                    ######################### [3/3]

Installed: kdewebdev.i386 6:3.5.7-1.fc7
Dependency Installed: kdebindings-dcopperl.i386 0:3.5.7-1.fc7.1 kdesdk.i386
0:3.5.7-1.fc7
Complete!
Comment 5 Rex Dieter 2007-07-13 08:42:13 EDT
* Fri Jun 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-5
- clean up /usr/share/doc/HTML/en/cervisia/common hackery (#246072)
Comment 6 Fedora Update System 2007-07-16 12:50:54 EDT
kdesdk-3.5.7-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-07-23 11:49:21 EDT
kdesdk-3.5.7-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.